<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.RawBioAssay"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="t" uri="/WEB-INF/tab.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.varsearch.lucene-column");

final int rbaId = Values.getInt(request.getParameter("rbaId"));
final int fileId = Values.getInt(request.getParameter("fileId"));
final String idx = Values.getStringOrNull(request.getParameter("idx"));

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	RawBioAssay rba = RawBioAssay.getById(dc, rbaId);
	String title = HTML.encodeTags(rba.getName());
%>
<base:page type="popup" title="<%=title + " - Variants"%>">
<base:head 
	scripts="tabcontrol-2.js,~rba-hits.js,~varsearch.js"
	styles="tabcontrol.css,~css/varsearch.css"
>
<style>
th .varsearch-grid 
{
    white-space: nowrap;
}
<%
if (fileId > 0)
{
	%>
	.varsearch-grid .is-variant
	{
		font-weight: bold;
	}
	.varsearch-grid .no-data
	{
		color: #999999;
	}
	<%
}
%>
</style>
</base:head>
<base:body data-read-only="1">
	<h1 id="doc-title"><%=title%></h1>

	<div id="page-data" class="datacontainer"
		data-rba="<%=rbaId%>" data-file="<%=fileId%>" data-idx="<%=HTML.encodeTags(idx)%>"
	></div>

	<div class="content bottomborder">
		<table id="snp-table" style="width: 100%;">
		<tr class="bottomborder bg-filled-100">
			<th id="headers"></th>
		</tr>
		<tr class="bottomborder">
			<td id="results"></td>
		</tr>
		</table>
	<div id="wizard-status"></div>
	</div>
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();	
}
%>